package keymon.lat.medicomed;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class mapa_rutas extends Activity implements B4AActivity{
	public static mapa_rutas mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;
    public static boolean dontPause;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "keymon.lat.medicomed", "keymon.lat.medicomed.mapa_rutas");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (mapa_rutas).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "keymon.lat.medicomed", "keymon.lat.medicomed.mapa_rutas");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "keymon.lat.medicomed.mapa_rutas", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (mapa_rutas) Create " + (isFirst ? "(first time)" : "") + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (mapa_rutas) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return mapa_rutas.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        if (!dontPause)
            BA.LogInfo("** Activity (mapa_rutas) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        else
            BA.LogInfo("** Activity (mapa_rutas) Pause event (activity is not paused). **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        if (!dontPause) {
            processBA.setActivityPaused(true);
            mostCurrent = null;
        }

        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            mapa_rutas mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (mapa_rutas) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.gps.GPS _gps = null;
public static anywheresoftware.b4a.objects.RuntimePermissions _rp = null;
public static String _ruta = "";
public static anywheresoftware.b4a.sql.SQL _skmt = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c2 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c22 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c3 = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper _gmap = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper _mapfragment1 = null;
public static double _latitud = 0;
public static double _longitud = 0;
public static double _lat2 = 0;
public static double _lon2 = 0;
public anywheresoftware.b4a.gps.LocationWrapper _p1 = null;
public anywheresoftware.b4a.gps.LocationWrapper _p2 = null;
public static float _distance = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _boton1 = null;
public static float _hue_blue = 0f;
public static float _hue_red = 0f;
public static float _hue_green = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _b_azul = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_rojo = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_verde = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_todos = null;
public static String _tienda = "";
public static double _latitudru = 0;
public static double _longitudru = 0;
public anywheresoftware.b4a.objects.collections.List _list_azul = null;
public anywheresoftware.b4a.objects.collections.List _list_rojo = null;
public anywheresoftware.b4a.objects.collections.List _list_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_azul = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_rojo = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_cedis = null;
public static String _rojo = "";
public static String _azul = "";
public static String _verde = "";
public static String _todos = "";
public static int _numserie = 0;
public uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener _oninfowindowclicklistener1 = null;
public uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras _googlemapextra = null;
public static String _codigo = "";
public static String _semana = "";
public b4a.example.dateutils _dateutils = null;
public keymon.lat.medicomed.main _main = null;
public keymon.lat.medicomed.starter _starter = null;
public keymon.lat.medicomed.subs _subs = null;
public keymon.lat.medicomed.appupdater _appupdater = null;
public keymon.lat.medicomed.tracker _tracker = null;
public keymon.lat.medicomed.newinst2 _newinst2 = null;
public keymon.lat.medicomed.b4xpages _b4xpages = null;
public keymon.lat.medicomed.b4xcollections _b4xcollections = null;
public keymon.lat.medicomed.httputils2service _httputils2service = null;
public keymon.lat.medicomed.xuiviewsutils _xuiviewsutils = null;
public static void  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create", false))
	 {Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}); return;}
ResumableSub_Activity_Create rsub = new ResumableSub_Activity_Create(null,_firsttime);
rsub.resume(processBA, null);
}
public static class ResumableSub_Activity_Create extends BA.ResumableSub {
public ResumableSub_Activity_Create(keymon.lat.medicomed.mapa_rutas parent,boolean _firsttime) {
this.parent = parent;
this._firsttime = _firsttime;
}
keymon.lat.medicomed.mapa_rutas parent;
boolean _firsttime;
String _permission = "";
boolean _result = false;

@Override
public void resume(BA ba, Object[] result) throws Exception{
RDebugUtils.currentModule="mapa_rutas";

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
RDebugUtils.currentLine=28377089;
 //BA.debugLineNum = 28377089;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
parent.mostCurrent._activity.LoadLayout("MAPA_RUTAS",mostCurrent.activityBA);
RDebugUtils.currentLine=28377093;
 //BA.debugLineNum = 28377093;BA.debugLine="ruta = File.DirInternal";
parent._ruta = anywheresoftware.b4a.keywords.Common.File.getDirInternal();
RDebugUtils.currentLine=28377095;
 //BA.debugLineNum = 28377095;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
if (true) break;

case 1:
//if
this.state = 4;
if (anywheresoftware.b4a.keywords.Common.File.Exists(parent._ruta,"kmt.db")==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
RDebugUtils.currentLine=28377096;
 //BA.debugLineNum = 28377096;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"kmt.db",parent._ruta,"kmt.db");
 if (true) break;

case 4:
//C
this.state = 5;
;
RDebugUtils.currentLine=28377098;
 //BA.debugLineNum = 28377098;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", True)";
parent._skmt.Initialize(parent._ruta,"kmt.db",anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=28377100;
 //BA.debugLineNum = 28377100;BA.debugLine="Starter.rp.CheckAndRequest(Starter.rp.PERMISSION_";
parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .CheckAndRequest(processBA,parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .PERMISSION_ACCESS_FINE_LOCATION);
RDebugUtils.currentLine=28377101;
 //BA.debugLineNum = 28377101;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, new anywheresoftware.b4a.shell.DebugResumableSub.DelegatableResumableSub(this, "mapa_rutas", "activity_create"), null);
this.state = 19;
return;
case 19:
//C
this.state = 5;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
RDebugUtils.currentLine=28377102;
 //BA.debugLineNum = 28377102;BA.debugLine="If Result Then";
if (true) break;

case 5:
//if
this.state = 14;
if (_result) { 
this.state = 7;
}else {
this.state = 13;
}if (true) break;

case 7:
//C
this.state = 8;
RDebugUtils.currentLine=28377103;
 //BA.debugLineNum = 28377103;BA.debugLine="StartService(Tracker)";
anywheresoftware.b4a.keywords.Common.StartService(processBA,(Object)(parent.mostCurrent._tracker.getObject()));
RDebugUtils.currentLine=28377104;
 //BA.debugLineNum = 28377104;BA.debugLine="Log(\"Start Tracker\")";
anywheresoftware.b4a.keywords.Common.LogImpl("328377104","Start Tracker",0);
RDebugUtils.currentLine=28377105;
 //BA.debugLineNum = 28377105;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable =";
if (true) break;

case 8:
//if
this.state = 11;
if (parent.mostCurrent._mapfragment1.IsGooglePlayServicesAvailable(mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 10;
}if (true) break;

case 10:
//C
this.state = 11;
RDebugUtils.currentLine=28377106;
 //BA.debugLineNum = 28377106;BA.debugLine="ToastMessageShow(\"Please install Google Play Se";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Please install Google Play Services."),anywheresoftware.b4a.keywords.Common.True);
 if (true) break;

case 11:
//C
this.state = 14;
;
 if (true) break;

case 13:
//C
this.state = 14;
RDebugUtils.currentLine=28377109;
 //BA.debugLineNum = 28377109;BA.debugLine="ToastMessageShow(\"No permission\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("No permission"),anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=28377110;
 //BA.debugLineNum = 28377110;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
parent.mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Principal");
 if (true) break;

case 14:
//C
this.state = 15;
;
RDebugUtils.currentLine=28377125;
 //BA.debugLineNum = 28377125;BA.debugLine="MARK_AZUL.IsInitialized";
parent.mostCurrent._mark_azul.IsInitialized();
RDebugUtils.currentLine=28377126;
 //BA.debugLineNum = 28377126;BA.debugLine="MARK_ROJO.IsInitialized";
parent.mostCurrent._mark_rojo.IsInitialized();
RDebugUtils.currentLine=28377127;
 //BA.debugLineNum = 28377127;BA.debugLine="MARK_VERDE.IsInitialized";
parent.mostCurrent._mark_verde.IsInitialized();
RDebugUtils.currentLine=28377129;
 //BA.debugLineNum = 28377129;BA.debugLine="LIST_AZUL.Initialize";
parent.mostCurrent._list_azul.Initialize();
RDebugUtils.currentLine=28377130;
 //BA.debugLineNum = 28377130;BA.debugLine="LIST_ROJO.Initialize";
parent.mostCurrent._list_rojo.Initialize();
RDebugUtils.currentLine=28377131;
 //BA.debugLineNum = 28377131;BA.debugLine="LIST_VERDE.Initialize";
parent.mostCurrent._list_verde.Initialize();
RDebugUtils.currentLine=28377132;
 //BA.debugLineNum = 28377132;BA.debugLine="verde = 0";
parent.mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=28377133;
 //BA.debugLineNum = 28377133;BA.debugLine="azul = 0";
parent.mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=28377134;
 //BA.debugLineNum = 28377134;BA.debugLine="rojo = 0";
parent.mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=28377135;
 //BA.debugLineNum = 28377135;BA.debugLine="todos = 1";
parent.mostCurrent._todos = BA.NumberToString(1);
RDebugUtils.currentLine=28377136;
 //BA.debugLineNum = 28377136;BA.debugLine="c=skmt.ExecQuery2(\"select count(*) AS CUANTOS fro";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery2("select count(*) AS CUANTOS from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?",new String[]{"SEMANA"})));
RDebugUtils.currentLine=28377137;
 //BA.debugLineNum = 28377137;BA.debugLine="c.Position =0";
parent._c.setPosition((int) (0));
RDebugUtils.currentLine=28377138;
 //BA.debugLineNum = 28377138;BA.debugLine="SEMANA = c.GetString(\"CUANTOS\")";
parent.mostCurrent._semana = parent._c.GetString("CUANTOS");
RDebugUtils.currentLine=28377139;
 //BA.debugLineNum = 28377139;BA.debugLine="c.Close";
parent._c.Close();
RDebugUtils.currentLine=28377141;
 //BA.debugLineNum = 28377141;BA.debugLine="If SEMANA > 0 Then";
if (true) break;

case 15:
//if
this.state = 18;
if ((double)(Double.parseDouble(parent.mostCurrent._semana))>0) { 
this.state = 17;
}if (true) break;

case 17:
//C
this.state = 18;
RDebugUtils.currentLine=28377142;
 //BA.debugLineNum = 28377142;BA.debugLine="c=skmt.ExecQuery2(\"select CAT_VA_VALOR from CAT_";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery2("select CAT_VA_VALOR from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?",new String[]{"SEMANA"})));
RDebugUtils.currentLine=28377143;
 //BA.debugLineNum = 28377143;BA.debugLine="c.Position =0";
parent._c.setPosition((int) (0));
RDebugUtils.currentLine=28377144;
 //BA.debugLineNum = 28377144;BA.debugLine="SEMANA = c.GetString(\"CAT_VA_VALOR\")";
parent.mostCurrent._semana = parent._c.GetString("CAT_VA_VALOR");
RDebugUtils.currentLine=28377145;
 //BA.debugLineNum = 28377145;BA.debugLine="c.Close";
parent._c.Close();
 if (true) break;

case 18:
//C
this.state = -1;
;
RDebugUtils.currentLine=28377147;
 //BA.debugLineNum = 28377147;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
RDebugUtils.currentLine=28704768;
 //BA.debugLineNum = 28704768;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=28704769;
 //BA.debugLineNum = 28704769;BA.debugLine="GPS.Stop";
_gps.Stop();
RDebugUtils.currentLine=28704770;
 //BA.debugLineNum = 28704770;BA.debugLine="End Sub";
return "";
}
public static void  _activity_resume() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume", false))
	 {Debug.delegate(mostCurrent.activityBA, "activity_resume", null); return;}
ResumableSub_Activity_Resume rsub = new ResumableSub_Activity_Resume(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_Activity_Resume extends BA.ResumableSub {
public ResumableSub_Activity_Resume(keymon.lat.medicomed.mapa_rutas parent) {
this.parent = parent;
}
keymon.lat.medicomed.mapa_rutas parent;
String _permission = "";
boolean _result = false;

@Override
public void resume(BA ba, Object[] result) throws Exception{
RDebugUtils.currentModule="mapa_rutas";

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
RDebugUtils.currentLine=28442625;
 //BA.debugLineNum = 28442625;BA.debugLine="Starter.rp.Check(Starter.rp.PERMISSION_ACCESS_FIN";
parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .Check(parent.mostCurrent._starter._rp /*anywheresoftware.b4a.objects.RuntimePermissions*/ .PERMISSION_ACCESS_FINE_LOCATION);
RDebugUtils.currentLine=28442626;
 //BA.debugLineNum = 28442626;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, new anywheresoftware.b4a.shell.DebugResumableSub.DelegatableResumableSub(this, "mapa_rutas", "activity_resume"), null);
this.state = 11;
return;
case 11:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
RDebugUtils.currentLine=28442627;
 //BA.debugLineNum = 28442627;BA.debugLine="If Result Then";
if (true) break;

case 1:
//if
this.state = 10;
if (_result) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
RDebugUtils.currentLine=28442628;
 //BA.debugLineNum = 28442628;BA.debugLine="If Starter.GPS.GPSEnabled = False Then";
if (true) break;

case 4:
//if
this.state = 9;
if (parent.mostCurrent._starter._gps /*anywheresoftware.b4a.gps.GPS*/ .getGPSEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
this.state = 6;
}else {
this.state = 8;
}if (true) break;

case 6:
//C
this.state = 9;
RDebugUtils.currentLine=28442629;
 //BA.debugLineNum = 28442629;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equip";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo."),anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=28442630;
 //BA.debugLineNum = 28442630;BA.debugLine="StartActivity(Starter.GPS.LocationSettingsInten";
anywheresoftware.b4a.keywords.Common.StartActivity(processBA,(Object)(parent.mostCurrent._starter._gps /*anywheresoftware.b4a.gps.GPS*/ .getLocationSettingsIntent()));
 if (true) break;

case 8:
//C
this.state = 9;
RDebugUtils.currentLine=28442632;
 //BA.debugLineNum = 28442632;BA.debugLine="Starter.GPS.Start(0, 0)";
parent.mostCurrent._starter._gps /*anywheresoftware.b4a.gps.GPS*/ .Start(processBA,(long) (0),(float) (0));
 if (true) break;

case 9:
//C
this.state = 10;
;
 if (true) break;

case 10:
//C
this.state = -1;
;
RDebugUtils.currentLine=28442635;
 //BA.debugLineNum = 28442635;BA.debugLine="LIST_AZUL.Initialize";
parent.mostCurrent._list_azul.Initialize();
RDebugUtils.currentLine=28442636;
 //BA.debugLineNum = 28442636;BA.debugLine="LIST_ROJO.Initialize";
parent.mostCurrent._list_rojo.Initialize();
RDebugUtils.currentLine=28442637;
 //BA.debugLineNum = 28442637;BA.debugLine="LIST_VERDE.Initialize";
parent.mostCurrent._list_verde.Initialize();
RDebugUtils.currentLine=28442638;
 //BA.debugLineNum = 28442638;BA.debugLine="verde = 0";
parent.mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=28442639;
 //BA.debugLineNum = 28442639;BA.debugLine="azul = 1";
parent.mostCurrent._azul = BA.NumberToString(1);
RDebugUtils.currentLine=28442640;
 //BA.debugLineNum = 28442640;BA.debugLine="rojo = 0";
parent.mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=28442641;
 //BA.debugLineNum = 28442641;BA.debugLine="todos = 0";
parent.mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=28442642;
 //BA.debugLineNum = 28442642;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _b_azul_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_azul_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_azul_click", null));}
RDebugUtils.currentLine=28966912;
 //BA.debugLineNum = 28966912;BA.debugLine="Sub B_AZUL_Click";
RDebugUtils.currentLine=28966913;
 //BA.debugLineNum = 28966913;BA.debugLine="azul = 1";
mostCurrent._azul = BA.NumberToString(1);
RDebugUtils.currentLine=28966914;
 //BA.debugLineNum = 28966914;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=28966915;
 //BA.debugLineNum = 28966915;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=28966916;
 //BA.debugLineNum = 28966916;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=28966917;
 //BA.debugLineNum = 28966917;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
RDebugUtils.currentLine=28966919;
 //BA.debugLineNum = 28966919;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=28966921;
 //BA.debugLineNum = 28966921;BA.debugLine="End Sub";
return "";
}
public static void  _mapfragment1_ready() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "mapfragment1_ready", false))
	 {Debug.delegate(mostCurrent.activityBA, "mapfragment1_ready", null); return;}
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(keymon.lat.medicomed.mapa_rutas parent) {
this.parent = parent;
}
keymon.lat.medicomed.mapa_rutas parent;
String _permission = "";
boolean _result = false;
anywheresoftware.b4j.object.JavaObject _javamapsobject = null;
int _i = 0;
anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper _aa = null;
int step15;
int limit15;
int step35;
int limit35;
int step52;
int limit52;
int step69;
int limit69;
int step84;
int limit84;

@Override
public void resume(BA ba, Object[] result) throws Exception{
RDebugUtils.currentModule="mapa_rutas";

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
RDebugUtils.currentLine=28508161;
 //BA.debugLineNum = 28508161;BA.debugLine="Log(\"ENTRANDO MapFragment1_Ready\")";
anywheresoftware.b4a.keywords.Common.LogImpl("328508161","ENTRANDO MapFragment1_Ready",0);
RDebugUtils.currentLine=28508162;
 //BA.debugLineNum = 28508162;BA.debugLine="gmap = MapFragment1.GetMap";
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.GetMap();
RDebugUtils.currentLine=28508163;
 //BA.debugLineNum = 28508163;BA.debugLine="gmap.IsInitialized";
parent.mostCurrent._gmap.IsInitialized();
RDebugUtils.currentLine=28508167;
 //BA.debugLineNum = 28508167;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
parent._rp.CheckAndRequest(processBA,parent._rp.PERMISSION_ACCESS_FINE_LOCATION);
RDebugUtils.currentLine=28508168;
 //BA.debugLineNum = 28508168;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, new anywheresoftware.b4a.shell.DebugResumableSub.DelegatableResumableSub(this, "mapa_rutas", "mapfragment1_ready"), null);
this.state = 80;
return;
case 80:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
RDebugUtils.currentLine=28508169;
 //BA.debugLineNum = 28508169;BA.debugLine="gmap.MyLocationEnabled = Result";
parent.mostCurrent._gmap.setMyLocationEnabled(_result);
RDebugUtils.currentLine=28508171;
 //BA.debugLineNum = 28508171;BA.debugLine="Dim JavaMapsObject As JavaObject";
_javamapsobject = new anywheresoftware.b4j.object.JavaObject();
RDebugUtils.currentLine=28508172;
 //BA.debugLineNum = 28508172;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
_javamapsobject = (anywheresoftware.b4j.object.JavaObject) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4j.object.JavaObject(), (java.lang.Object)(parent.mostCurrent._gmap.GetUiSettings().getObject()));
RDebugUtils.currentLine=28508173;
 //BA.debugLineNum = 28508173;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
_javamapsobject.RunMethod("setMapToolbarEnabled",new Object[]{(Object)(anywheresoftware.b4a.keywords.Common.True)});
RDebugUtils.currentLine=28508175;
 //BA.debugLineNum = 28508175;BA.debugLine="If azul = 1 Or todos = 1  Then";
if (true) break;

case 1:
//if
this.state = 30;
if ((parent.mostCurrent._azul).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
RDebugUtils.currentLine=28508176;
 //BA.debugLineNum = 28508176;BA.debugLine="c.IsInitialized";
parent._c.IsInitialized();
RDebugUtils.currentLine=28508177;
 //BA.debugLineNum = 28508177;BA.debugLine="c=skmt.ExecQuery(\"select CAT_CL_CODIGO,CAT_CL_NO";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO,CAT_CL_NOMBRE,CAT_CL_LAT,CAT_CL_LONG,CAT_CL_SECUENCIA from kmt_info where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 and CAT_CL_LAT <> ' ' and CAT_CL_LONG <> ' ' ")));
RDebugUtils.currentLine=28508179;
 //BA.debugLineNum = 28508179;BA.debugLine="Log($\"============== Resultados = ${c.RowCount}\"";
anywheresoftware.b4a.keywords.Common.LogImpl("328508179",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c.getRowCount()))+""),0);
RDebugUtils.currentLine=28508180;
 //BA.debugLineNum = 28508180;BA.debugLine="If c.RowCount > 0 Then";
if (true) break;

case 4:
//if
this.state = 23;
if (parent._c.getRowCount()>0) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
RDebugUtils.currentLine=28508181;
 //BA.debugLineNum = 28508181;BA.debugLine="For i = 0 To c.RowCount - 1";
if (true) break;

case 7:
//for
this.state = 22;
step15 = 1;
limit15 = (int) (parent._c.getRowCount()-1);
_i = (int) (0) ;
this.state = 81;
if (true) break;

case 81:
//C
this.state = 22;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 9;
if (true) break;

case 82:
//C
this.state = 81;
_i = ((int)(0 + _i + step15)) ;
if (true) break;

case 9:
//C
this.state = 10;
RDebugUtils.currentLine=28508182;
 //BA.debugLineNum = 28508182;BA.debugLine="c.Position = i";
parent._c.setPosition(_i);
RDebugUtils.currentLine=28508185;
 //BA.debugLineNum = 28508185;BA.debugLine="LatitudRu = 0";
parent._latitudru = 0;
RDebugUtils.currentLine=28508186;
 //BA.debugLineNum = 28508186;BA.debugLine="If c.GetString(\"CAT_CL_LAT\") <> \"\" Then Latitu";
if (true) break;

case 10:
//if
this.state = 15;
if ((parent._c.GetString("CAT_CL_LAT")).equals("") == false) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent._latitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LAT")));
if (true) break;

case 15:
//C
this.state = 16;
;
RDebugUtils.currentLine=28508187;
 //BA.debugLineNum = 28508187;BA.debugLine="LongitudRU = 0";
parent._longitudru = 0;
RDebugUtils.currentLine=28508188;
 //BA.debugLineNum = 28508188;BA.debugLine="If c.GetString(\"CAT_CL_LONG\") <> \"\" Then Longi";
if (true) break;

case 16:
//if
this.state = 21;
if ((parent._c.GetString("CAT_CL_LONG")).equals("") == false) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
parent._longitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LONG")));
if (true) break;

case 21:
//C
this.state = 82;
;
RDebugUtils.currentLine=28508189;
 //BA.debugLineNum = 28508189;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=28508190;
 //BA.debugLineNum = 28508190;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=28508191;
 //BA.debugLineNum = 28508191;BA.debugLine="NumSerie=c.GetInt(\"CAT_CL_SECUENCIA\")";
parent._numserie = parent._c.GetInt("CAT_CL_SECUENCIA");
RDebugUtils.currentLine=28508192;
 //BA.debugLineNum = 28508192;BA.debugLine="MARK_AZUL = gmap.AddMarker3(LatitudRu,Longitud";
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-azul-"+BA.NumberToString(parent._numserie)+".png").getObject()));
RDebugUtils.currentLine=28508193;
 //BA.debugLineNum = 28508193;BA.debugLine="MARK_AZUL.Snippet = Tienda";
parent.mostCurrent._mark_azul.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 22:
//C
this.state = 23;
;
 if (true) break;

case 23:
//C
this.state = 24;
;
RDebugUtils.currentLine=28508196;
 //BA.debugLineNum = 28508196;BA.debugLine="c .Close";
parent._c.Close();
RDebugUtils.currentLine=28508199;
 //BA.debugLineNum = 28508199;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
if (true) break;

case 24:
//if
this.state = 29;
if (parent.mostCurrent._mark_azul.IsInitialized()) { 
this.state = 26;
;}if (true) break;

case 26:
//C
this.state = 29;
parent.mostCurrent._list_azul.Add((Object)(parent.mostCurrent._mark_azul.getObject()));
if (true) break;

case 29:
//C
this.state = 30;
;
 if (true) break;
;
RDebugUtils.currentLine=28508202;
 //BA.debugLineNum = 28508202;BA.debugLine="If verde =1 Or todos = 1  Then";

case 30:
//if
this.state = 57;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 32;
}else {
this.state = 42;
}if (true) break;

case 32:
//C
this.state = 33;
RDebugUtils.currentLine=28508203;
 //BA.debugLineNum = 28508203;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
RDebugUtils.currentLine=28508204;
 //BA.debugLineNum = 28508204;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_SECUENCIA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0")));
RDebugUtils.currentLine=28508205;
 //BA.debugLineNum = 28508205;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount}";
anywheresoftware.b4a.keywords.Common.LogImpl("328508205",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c2.getRowCount()))+""),0);
RDebugUtils.currentLine=28508206;
 //BA.debugLineNum = 28508206;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 33:
//for
this.state = 40;
step35 = 1;
limit35 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 83;
if (true) break;

case 83:
//C
this.state = 40;
if ((step35 > 0 && _i <= limit35) || (step35 < 0 && _i >= limit35)) this.state = 35;
if (true) break;

case 84:
//C
this.state = 83;
_i = ((int)(0 + _i + step35)) ;
if (true) break;

case 35:
//C
this.state = 36;
RDebugUtils.currentLine=28508207;
 //BA.debugLineNum = 28508207;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
RDebugUtils.currentLine=28508209;
 //BA.debugLineNum = 28508209;BA.debugLine="If IsNumber(c2.GetString(\"CAT_CL_LONG\")) Then";
if (true) break;

case 36:
//if
this.state = 39;
if (anywheresoftware.b4a.keywords.Common.IsNumber(parent._c2.GetString("CAT_CL_LONG"))) { 
this.state = 38;
}if (true) break;

case 38:
//C
this.state = 39;
RDebugUtils.currentLine=28508210;
 //BA.debugLineNum = 28508210;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
RDebugUtils.currentLine=28508211;
 //BA.debugLineNum = 28508211;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
RDebugUtils.currentLine=28508212;
 //BA.debugLineNum = 28508212;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=28508213;
 //BA.debugLineNum = 28508213;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=28508214;
 //BA.debugLineNum = 28508214;BA.debugLine="NumSerie=c2.GetInt(\"CAT_CL_SECUENCIA\")";
parent._numserie = parent._c2.GetInt("CAT_CL_SECUENCIA");
RDebugUtils.currentLine=28508215;
 //BA.debugLineNum = 28508215;BA.debugLine="MARK_VERDE = gmap.AddMarker3(LatitudRu,Longitu";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-verde-"+BA.NumberToString(parent._numserie)+".png").getObject()));
RDebugUtils.currentLine=28508216;
 //BA.debugLineNum = 28508216;BA.debugLine="MARK_VERDE.Snippet = Tienda";
parent.mostCurrent._mark_verde.setSnippet(parent.mostCurrent._tienda);
 if (true) break;

case 39:
//C
this.state = 84;
;
 if (true) break;
if (true) break;

case 40:
//C
this.state = 57;
;
 if (true) break;

case 42:
//C
this.state = 43;
RDebugUtils.currentLine=28508220;
 //BA.debugLineNum = 28508220;BA.debugLine="If verde =1 Or todos = 1  Then";
if (true) break;

case 43:
//if
this.state = 56;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 45;
}if (true) break;

case 45:
//C
this.state = 46;
RDebugUtils.currentLine=28508221;
 //BA.debugLineNum = 28508221;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
RDebugUtils.currentLine=28508222;
 //BA.debugLineNum = 28508222;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0")));
RDebugUtils.currentLine=28508223;
 //BA.debugLineNum = 28508223;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount";
anywheresoftware.b4a.keywords.Common.LogImpl("328508223",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c2.getRowCount()))+""),0);
RDebugUtils.currentLine=28508224;
 //BA.debugLineNum = 28508224;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 46:
//for
this.state = 49;
step52 = 1;
limit52 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 85;
if (true) break;

case 85:
//C
this.state = 49;
if ((step52 > 0 && _i <= limit52) || (step52 < 0 && _i >= limit52)) this.state = 48;
if (true) break;

case 86:
//C
this.state = 85;
_i = ((int)(0 + _i + step52)) ;
if (true) break;

case 48:
//C
this.state = 86;
RDebugUtils.currentLine=28508225;
 //BA.debugLineNum = 28508225;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
RDebugUtils.currentLine=28508227;
 //BA.debugLineNum = 28508227;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
RDebugUtils.currentLine=28508228;
 //BA.debugLineNum = 28508228;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
RDebugUtils.currentLine=28508229;
 //BA.debugLineNum = 28508229;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=28508230;
 //BA.debugLineNum = 28508230;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=28508231;
 //BA.debugLineNum = 28508231;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu,Longitu";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_GREEN);
RDebugUtils.currentLine=28508232;
 //BA.debugLineNum = 28508232;BA.debugLine="MARK_VERDE.Snippet = Tienda";
parent.mostCurrent._mark_verde.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 49:
//C
this.state = 50;
;
RDebugUtils.currentLine=28508234;
 //BA.debugLineNum = 28508234;BA.debugLine="c2 .Close";
parent._c2.Close();
RDebugUtils.currentLine=28508235;
 //BA.debugLineNum = 28508235;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
if (true) break;

case 50:
//if
this.state = 55;
if (parent.mostCurrent._mark_verde.IsInitialized()) { 
this.state = 52;
;}if (true) break;

case 52:
//C
this.state = 55;
parent.mostCurrent._list_verde.Add((Object)(parent.mostCurrent._mark_verde.getObject()));
if (true) break;

case 55:
//C
this.state = 56;
;
 if (true) break;

case 56:
//C
this.state = 57;
;
 if (true) break;
;
RDebugUtils.currentLine=28508240;
 //BA.debugLineNum = 28508240;BA.debugLine="If rojo =1 Or todos = 1 Then";

case 57:
//if
this.state = 79;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 59;
}else {
this.state = 65;
}if (true) break;

case 59:
//C
this.state = 60;
RDebugUtils.currentLine=28508241;
 //BA.debugLineNum = 28508241;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
RDebugUtils.currentLine=28508242;
 //BA.debugLineNum = 28508242;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_SECUENCIA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0")));
RDebugUtils.currentLine=28508243;
 //BA.debugLineNum = 28508243;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount}";
anywheresoftware.b4a.keywords.Common.LogImpl("328508243",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c3.getRowCount()))+""),0);
RDebugUtils.currentLine=28508244;
 //BA.debugLineNum = 28508244;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 60:
//for
this.state = 63;
step69 = 1;
limit69 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 87;
if (true) break;

case 87:
//C
this.state = 63;
if ((step69 > 0 && _i <= limit69) || (step69 < 0 && _i >= limit69)) this.state = 62;
if (true) break;

case 88:
//C
this.state = 87;
_i = ((int)(0 + _i + step69)) ;
if (true) break;

case 62:
//C
this.state = 88;
RDebugUtils.currentLine=28508245;
 //BA.debugLineNum = 28508245;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
RDebugUtils.currentLine=28508247;
 //BA.debugLineNum = 28508247;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
RDebugUtils.currentLine=28508248;
 //BA.debugLineNum = 28508248;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
RDebugUtils.currentLine=28508249;
 //BA.debugLineNum = 28508249;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=28508250;
 //BA.debugLineNum = 28508250;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=28508251;
 //BA.debugLineNum = 28508251;BA.debugLine="NumSerie=c3.GetInt(\"CAT_CL_SECUENCIA\")";
parent._numserie = parent._c3.GetInt("CAT_CL_SECUENCIA");
RDebugUtils.currentLine=28508252;
 //BA.debugLineNum = 28508252;BA.debugLine="MARK_ROJO = gmap.AddMarker3(LatitudRu,LongitudR";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-rojo-"+BA.NumberToString(parent._numserie)+".png").getObject()));
RDebugUtils.currentLine=28508253;
 //BA.debugLineNum = 28508253;BA.debugLine="MARK_ROJO.Snippet = Tienda";
parent.mostCurrent._mark_rojo.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 63:
//C
this.state = 79;
;
 if (true) break;

case 65:
//C
this.state = 66;
RDebugUtils.currentLine=28508256;
 //BA.debugLineNum = 28508256;BA.debugLine="If rojo =1 Or  todos = 1  Then";
if (true) break;

case 66:
//if
this.state = 78;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 68;
}if (true) break;

case 68:
//C
this.state = 69;
RDebugUtils.currentLine=28508257;
 //BA.debugLineNum = 28508257;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
RDebugUtils.currentLine=28508258;
 //BA.debugLineNum = 28508258;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0")));
RDebugUtils.currentLine=28508259;
 //BA.debugLineNum = 28508259;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount";
anywheresoftware.b4a.keywords.Common.LogImpl("328508259",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c3.getRowCount()))+""),0);
RDebugUtils.currentLine=28508260;
 //BA.debugLineNum = 28508260;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 69:
//for
this.state = 72;
step84 = 1;
limit84 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 89;
if (true) break;

case 89:
//C
this.state = 72;
if ((step84 > 0 && _i <= limit84) || (step84 < 0 && _i >= limit84)) this.state = 71;
if (true) break;

case 90:
//C
this.state = 89;
_i = ((int)(0 + _i + step84)) ;
if (true) break;

case 71:
//C
this.state = 90;
RDebugUtils.currentLine=28508261;
 //BA.debugLineNum = 28508261;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
RDebugUtils.currentLine=28508263;
 //BA.debugLineNum = 28508263;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
RDebugUtils.currentLine=28508264;
 //BA.debugLineNum = 28508264;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
RDebugUtils.currentLine=28508265;
 //BA.debugLineNum = 28508265;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
RDebugUtils.currentLine=28508266;
 //BA.debugLineNum = 28508266;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
RDebugUtils.currentLine=28508267;
 //BA.debugLineNum = 28508267;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu,Longitud";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._tienda,parent.mostCurrent._gmap.HUE_RED);
RDebugUtils.currentLine=28508268;
 //BA.debugLineNum = 28508268;BA.debugLine="MARK_ROJO.Snippet = Tienda";
parent.mostCurrent._mark_rojo.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;
;
RDebugUtils.currentLine=28508270;
 //BA.debugLineNum = 28508270;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";

case 72:
//if
this.state = 77;
if (parent.mostCurrent._mark_rojo.IsInitialized()) { 
this.state = 74;
;}if (true) break;

case 74:
//C
this.state = 77;
parent.mostCurrent._list_rojo.Add((Object)(parent.mostCurrent._mark_rojo.getObject()));
if (true) break;

case 77:
//C
this.state = 78;
;
RDebugUtils.currentLine=28508271;
 //BA.debugLineNum = 28508271;BA.debugLine="c3.Close";
parent._c3.Close();
 if (true) break;

case 78:
//C
this.state = 79;
;
 if (true) break;

case 79:
//C
this.state = -1;
;
RDebugUtils.currentLine=28508280;
 //BA.debugLineNum = 28508280;BA.debugLine="Dim aa As CameraPosition";
_aa = new anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper();
RDebugUtils.currentLine=28508281;
 //BA.debugLineNum = 28508281;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
_aa.Initialize(parent._latitudru,parent._longitudru,(float) (15));
RDebugUtils.currentLine=28508282;
 //BA.debugLineNum = 28508282;BA.debugLine="gmap.AnimateCamera(aa)";
parent.mostCurrent._gmap.AnimateCamera((com.google.android.gms.maps.model.CameraPosition)(_aa.getObject()));
RDebugUtils.currentLine=28508285;
 //BA.debugLineNum = 28508285;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
parent.mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
RDebugUtils.currentLine=28508286;
 //BA.debugLineNum = 28508286;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
parent.mostCurrent._oninfowindowclicklistener1.Initialize(mostCurrent.activityBA,"OnInfoWindowClickListener1");
RDebugUtils.currentLine=28508287;
 //BA.debugLineNum = 28508287;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
parent.mostCurrent._googlemapextra.SetOnInfoWindowClickListener((com.google.android.gms.maps.GoogleMap)(parent.mostCurrent._gmap.getObject()),(com.google.android.gms.maps.GoogleMap.OnInfoWindowClickListener)(parent.mostCurrent._oninfowindowclicklistener1.getObject()));
RDebugUtils.currentLine=28508289;
 //BA.debugLineNum = 28508289;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static String  _b_rojo_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_rojo_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_rojo_click", null));}
RDebugUtils.currentLine=28901376;
 //BA.debugLineNum = 28901376;BA.debugLine="Sub B_ROJO_Click";
RDebugUtils.currentLine=28901377;
 //BA.debugLineNum = 28901377;BA.debugLine="rojo = 1";
mostCurrent._rojo = BA.NumberToString(1);
RDebugUtils.currentLine=28901378;
 //BA.debugLineNum = 28901378;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=28901379;
 //BA.debugLineNum = 28901379;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=28901380;
 //BA.debugLineNum = 28901380;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=28901381;
 //BA.debugLineNum = 28901381;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
RDebugUtils.currentLine=28901383;
 //BA.debugLineNum = 28901383;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=28901385;
 //BA.debugLineNum = 28901385;BA.debugLine="End Sub";
return "";
}
public static String  _b_todos_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_todos_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_todos_click", null));}
RDebugUtils.currentLine=28770304;
 //BA.debugLineNum = 28770304;BA.debugLine="Sub B_TODOS_Click";
RDebugUtils.currentLine=28770305;
 //BA.debugLineNum = 28770305;BA.debugLine="todos  =1";
mostCurrent._todos = BA.NumberToString(1);
RDebugUtils.currentLine=28770306;
 //BA.debugLineNum = 28770306;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
RDebugUtils.currentLine=28770307;
 //BA.debugLineNum = 28770307;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=28770308;
 //BA.debugLineNum = 28770308;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=28770310;
 //BA.debugLineNum = 28770310;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=28770312;
 //BA.debugLineNum = 28770312;BA.debugLine="End Sub";
return "";
}
public static String  _b_verde_click() throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "b_verde_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "b_verde_click", null));}
RDebugUtils.currentLine=28835840;
 //BA.debugLineNum = 28835840;BA.debugLine="Sub B_VERDE_Click";
RDebugUtils.currentLine=28835841;
 //BA.debugLineNum = 28835841;BA.debugLine="verde = 1";
mostCurrent._verde = BA.NumberToString(1);
RDebugUtils.currentLine=28835842;
 //BA.debugLineNum = 28835842;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
RDebugUtils.currentLine=28835843;
 //BA.debugLineNum = 28835843;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
RDebugUtils.currentLine=28835844;
 //BA.debugLineNum = 28835844;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
RDebugUtils.currentLine=28835845;
 //BA.debugLineNum = 28835845;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
RDebugUtils.currentLine=28835846;
 //BA.debugLineNum = 28835846;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
RDebugUtils.currentLine=28835848;
 //BA.debugLineNum = 28835848;BA.debugLine="End Sub";
return "";
}
public static String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _parametro) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "gps_locationchanged", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "gps_locationchanged", new Object[] {_parametro}));}
RDebugUtils.currentLine=28639232;
 //BA.debugLineNum = 28639232;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
RDebugUtils.currentLine=28639233;
 //BA.debugLineNum = 28639233;BA.debugLine="MARK_CEDIS.IsInitialized";
mostCurrent._mark_cedis.IsInitialized();
RDebugUtils.currentLine=28639251;
 //BA.debugLineNum = 28639251;BA.debugLine="End Sub";
return "";
}
public static String  _oninfowindowclicklistener1_click(anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _marker1) throws Exception{
RDebugUtils.currentModule="mapa_rutas";
if (Debug.shouldDelegate(mostCurrent.activityBA, "oninfowindowclicklistener1_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "oninfowindowclicklistener1_click", new Object[] {_marker1}));}
RDebugUtils.currentLine=28573696;
 //BA.debugLineNum = 28573696;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
RDebugUtils.currentLine=28573697;
 //BA.debugLineNum = 28573697;BA.debugLine="skmt.ExecNonQuery(\"delete from CUENTAA\")";
_skmt.ExecNonQuery("delete from CUENTAA");
RDebugUtils.currentLine=28573698;
 //BA.debugLineNum = 28573698;BA.debugLine="skmt.ExecNonQuery2(\"INSERT INTO CUENTAA VALUES (?";
_skmt.ExecNonQuery2("INSERT INTO CUENTAA VALUES (?) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_marker1.getTitle())}));
RDebugUtils.currentLine=28573699;
 //BA.debugLineNum = 28573699;BA.debugLine="Subs.guardaClienteHoraInicio(Marker1.Title)";
mostCurrent._subs._guardaclientehorainicio /*String*/ (mostCurrent.activityBA,_marker1.getTitle());
RDebugUtils.currentLine=28573700;
 //BA.debugLineNum = 28573700;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
RDebugUtils.currentLine=28573701;
 //BA.debugLineNum = 28573701;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Cliente");
RDebugUtils.currentLine=28573702;
 //BA.debugLineNum = 28573702;BA.debugLine="End Sub";
return "";
}
}